Subject: bug#18119: df --si misleading output units

From: Paul Eggert <[email-masked]>
Date: Mon, 04 Aug 2014 07:07:43 -0700

Kernc wrote:
> Since `--block-size=GB` outputs the value in GB, and 'GB' is the unit
> appended, why doesn't `--si` do the same (use SI-units to mark
> "SI-magnitude" values)?

Because it's more concise that way, and because it's been that way for 
years.  No doubt it could have been done differently, but at this point ...